<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xisc.pm.infra.mapper.MmHtmrsltMapper">
	<!-- 可根据自己的需求，是否要使用 -->
	<resultMap id="BaseResultMap"
		type="com.xisc.pm.domain.entity.MmHtmrslt">
		<result column="HTMRSLT_ID" property="htmrsltId"
			jdbcType="DECIMAL" />
		<result column="MAT_NO" property="matNo" jdbcType="VARCHAR" />
		<result column="HTM_SEQ" property="htmSeq" jdbcType="DECIMAL" />
		<result column="OCCR_CD" property="occrCd" jdbcType="VARCHAR" />
		<result column="STOCK_CODE" property="stockCode"
			jdbcType="VARCHAR" />
		<result column="MAT_ACT_THK" property="matActThk"
			jdbcType="DECIMAL" />
		<result column="MAT_ACT_WID" property="matActWid"
			jdbcType="DECIMAL" />
		<result column="MAT_ACT_LEN" property="matActLen"
			jdbcType="DECIMAL" />
		<result column="MAT_THEORY_WGT" property="matTheoryWgt"
			jdbcType="DECIMAL" />
		<result column="HOT_TREAT_METHOD_CODE"
			property="hotTreatMethodCode" jdbcType="VARCHAR" />
		<result column="HEAT_TREAT_FURNACE_NO"
			property="heatTreatFurnaceNo" jdbcType="VARCHAR" />
		<result column="LOAD_FUR_TIME" property="loadFurTime"
			jdbcType="VARCHAR" />
		<result column="HEAT_TIME" property="heatTime"
			jdbcType="VARCHAR" />
		<result column="SHIFT" property="shift" jdbcType="VARCHAR" />
		<result column="GROUP_CD" property="groupCd" jdbcType="VARCHAR" />
		<result column="PROD_EMP" property="prodEmp" jdbcType="VARCHAR" />
		<result column="SPECIAL_ASK" property="specialAsk"
			jdbcType="VARCHAR" />
		<result column="IF_EXIST_FILE" property="ifExistFile"
			jdbcType="VARCHAR" />
		<result column="MAT_PLAN_SEQ_NO" property="matPlanSeqNo"
			jdbcType="VARCHAR" />
		<result column="SUB_BACKLOG_CODE" property="subBacklogCode"
			jdbcType="VARCHAR" />
		<result column="SUB_BACKLOG_SEQ" property="subBacklogSeq"
			jdbcType="DECIMAL" />
		<result column="BACKLOG_ADD_DIV" property="backlogAddDiv"
			jdbcType="VARCHAR" />
		<result column="ST_NO" property="stNo" jdbcType="VARCHAR" />
		<result column="PROD_CODE_HP" property="prodCodeHp"
			jdbcType="VARCHAR" />
		<result column="STD_SG_CODE" property="stdSgCode"
			jdbcType="VARCHAR" />
		<result column="COOL_PATTERN_CODE" property="coolPatternCode"
			jdbcType="VARCHAR" />
		<result column="COOL_AIM_TEMP" property="coolAimTemp"
			jdbcType="DECIMAL" />
		<result column="QUENCH_FIN_TIME" property="quenchFinTime"
			jdbcType="VARCHAR" />
		<result column="HEAT_TREAT_KEEP" property="heatTreatKeep"
			jdbcType="DECIMAL" />
		<result column="HEAT_TREAT_KEEP_TIME"
			property="heatTreatKeepTime" jdbcType="DECIMAL" />
		<result column="HEAT_TREAT_STAY_TIME"
			property="heatTreatStayTime" jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_AVRG" property="plateTempAvrg"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_SURF" property="plateTempSurf"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_MID" property="plateTempMid"
			jdbcType="DECIMAL" />
		<result column="TEMP_PYROMET" property="tempPyromet"
			jdbcType="DECIMAL" />
		<result column="CHARGE_SPEED" property="chargeSpeed"
			jdbcType="DECIMAL" />
		<result column="DISCHARG_SPEED" property="dischargSpeed"
			jdbcType="DECIMAL" />
		<result column="SWING_MODE" property="swingMode"
			jdbcType="VARCHAR" />
		<result column="HARDNESS_DEGREE_MIC"
			property="hardnessDegreeMic" jdbcType="VARCHAR" />
		<result column="TEMP_QUENCH_WATER" property="tempQuenchWater"
			jdbcType="DECIMAL" />
		<result column="QUENCH_SPEED" property="quenchSpeed"
			jdbcType="DECIMAL" />
		<result column="BACKFIRE_SET_VAL" property="backfireSetVal"
			jdbcType="DECIMAL" />
		<result column="BACKFIRE_SET_HARDNESS_VAL"
			property="backfireSetHardnessVal" jdbcType="DECIMAL" />
		<result column="BACKFIRE_MODEL_TIME"
			property="backfireModelTime" jdbcType="DECIMAL" />
		<result column="QUENCH_COUNT_HARD" property="quenchCountHard"
			jdbcType="DECIMAL" />
		<result column="STRENGTH_WARM_QTY" property="strengthWarmQty"
			jdbcType="DECIMAL" />
		<result column="STRENGTH_BEND_WARM_QTY"
			property="strengthBendWarmQty" jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_AVRG_T" property="plateTempAvrgT"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_SURF_T" property="plateTempSurfT"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_MID_T" property="plateTempMidT"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_AVRG_M" property="plateTempAvrgM"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_SURF_M" property="plateTempSurfM"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_MID_M" property="plateTempMidM"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_AVRG_B" property="plateTempAvrgB"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_SURF_B" property="plateTempSurfB"
			jdbcType="DECIMAL" />
		<result column="PLATE_TEMP_MID_B" property="plateTempMidB"
			jdbcType="DECIMAL" />
		<result column="SHOT_BLAST_FLAG" property="shotBlastFlag"
			jdbcType="VARCHAR" />
		<result column="SHOT_BLAST_TIME" property="shotBlastTime"
			jdbcType="VARCHAR" />
		<result column="BETTER_SURF_WARD_CODE"
			property="betterSurfWardCode" jdbcType="VARCHAR" />
		<result column="MAT_SHAPE_FLAG" property="matShapeFlag"
			jdbcType="VARCHAR" />
		<result column="MAT_THICK1" property="matThick1"
			jdbcType="DECIMAL" />
		<result column="MAT_THICK2" property="matThick2"
			jdbcType="DECIMAL" />
		<result column="MAT_THICK3" property="matThick3"
			jdbcType="DECIMAL" />
		<result column="MAT_LEN1" property="matLen1" jdbcType="DECIMAL" />
		<result column="MAT_LEN2" property="matLen2" jdbcType="DECIMAL" />
		<result column="MAT_LEN3" property="matLen3" jdbcType="DECIMAL" />
		<result column="MAT_LEN4" property="matLen4" jdbcType="DECIMAL" />
		<result column="MAT_LEN5" property="matLen5" jdbcType="DECIMAL" />
		<result column="REMARK" property="remark" jdbcType="VARCHAR" />
		<result column="SPARE_FIELD1" property="spareField1"
			jdbcType="VARCHAR" />
		<result column="SPARE_FIELD2" property="spareField2"
			jdbcType="VARCHAR" />
		<result column="SPARE_FIELD3" property="spareField3"
			jdbcType="VARCHAR" />
		<result column="SPARE_FIELD4" property="spareField4"
			jdbcType="VARCHAR" />
		<result column="SPARE_FIELD5" property="spareField5"
			jdbcType="VARCHAR" />
		<result column="SPARE_FIELD6" property="spareField6"
			jdbcType="DECIMAL" />
		<result column="SPARE_FIELD7" property="spareField7"
			jdbcType="DECIMAL" />
		<result column="SPARE_FIELD8" property="spareField8"
			jdbcType="DECIMAL" />
		<result column="SPARE_FIELD9" property="spareField9"
			jdbcType="DECIMAL" />
		<result column="SPARE_FIELD10" property="spareField10"
			jdbcType="DECIMAL" />
		<result column="TENANT_ID" property="tenantId"
			jdbcType="DECIMAL" />
		<result column="OBJECT_VERSION_NUMBER"
			property="objectVersionNumber" jdbcType="DECIMAL" />
		<result column="CREATION_DATE" property="creationDate"
			jdbcType="VARCHAR" />
		<result column="CREATED_BY" property="createdBy"
			jdbcType="DECIMAL" />
		<result column="LAST_UPDATED_BY" property="lastUpdatedBy"
			jdbcType="DECIMAL" />
		<result column="LAST_UPDATE_DATE" property="lastUpdateDate"
			jdbcType="VARCHAR" />
		<result column="STORE_LINE" property="storeLine"
			jdbcType="VARCHAR" />
		<result column="PLAN_NO" property="planNo" jdbcType="VARCHAR" />
	</resultMap>

	<select id="getHotTreatMethodByMatNo" resultType="java.lang.String">
		SELECT HOT_TREAT_METHOD_CODE FROM MM_HTMRSLT where MAT_NO = #{matNo} AND TENANT_ID = #{tenantId} order by HTM_SEQ desc ;
	</select>

</mapper>